<template>
  <div class="container">
    <Header 
      @btn-click="toggleAddTask" 
      msg="OMAE WA MOY SHINDEIRU" 
      :showAddTask="showAddTask"/>
    <router-view :showAddTask="showAddTask"></router-view> 
    <Footer />
  </div>
</template>

<script>
import Header from './components/Header.vue'
import Footer from './components/Footer.vue'

export default {
  name: 'App',
  components: {
    Header, 
    Footer
  },
  methods: {
      toggleAddTask(){
          this.showAddTask = !this.showAddTask
      }
  },
  data() {
    return {
      tasks: [],
      showAddTask: false
    }
  }
}
</script>


<style>
header {
  display: flex;
}
</style>
